Skip to main content
GET
/
v1
/
transactional-groups
List transactional groups
curl --request GET \
  --url https://app.loops.so/api/v1/transactional-groups \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.loops.so/api/v1/transactional-groups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.loops.so/api/v1/transactional-groups', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "pagination": {
    "totalResults": 1,
    "returnedResults": 1,
    "perPage": 20,
    "totalPages": 1,
    "nextCursor": null,
    "nextPage": null
  },
  "data": [
    {
      "id": "clq3b7s9u006yl70p5q6r7s8t",
      "name": "Account emails",
      "description": "Password resets and verification emails",
      "createdAt": "2026-03-28T15:00:00.000Z",
      "updatedAt": "2026-03-28T15:00:00.000Z"
    }
  ]
}
{
  "message": "Invalid perPage value"
}

Request

Query parameters

perPage
string
default:20
How many results to return in each request. Must be between 10 and 50.
cursor
string
A cursor to return a specific page of results. Cursors can be found from the pagination.nextCursor value in each response.

Response

Success

pagination
object
data
array
required

Error

If perPage is invalid, a 400 Bad Request is returned. If the API key is invalid (or content API is not enabled for your team), a 401 Unauthorized is returned.
message
string
required
An error message describing what went wrong.
{
  "pagination": {
    "totalResults": 1,
    "returnedResults": 1,
    "perPage": 20,
    "totalPages": 1,
    "nextCursor": null,
    "nextPage": null
  },
  "data": [
    {
      "id": "clq3b7s9u006yl70p5q6r7s8t",
      "name": "Account emails",
      "description": "Password resets and verification emails",
      "createdAt": "2026-03-28T15:00:00.000Z",
      "updatedAt": "2026-03-28T15:00:00.000Z"
    }
  ]
}
{
  "message": "Invalid perPage value"
}
Last modified on June 29, 2026